<form class="form" [formGroup]="searchForm">
  <div class="field-wrapper">
    <div class="field-title">Well Number</div>
    <mat-form-field appearance="outline" class="field-wrapper__field">
      <input
        matInput
        placeholder="E.g. 42-501-20130-03-00"
        formControlName="wellNumber"
        (keyup)="showClearBtn = false"
      />
    </mat-form-field>
  </div>

  <div class="field-wrapper">
    <div class="field-title">UWI</div>
    <mat-form-field appearance="outline" class="field-wrapper__field">
      <input matInput placeholder="E.g. 100 14 36 085 17 W6 00" formControlName="UWI" (keyup)="showClearBtn = false" />
    </mat-form-field>
  </div>

  <a
    *ngIf="showClearBtn; else searchBtn"
    routerLink="/litho-tracker/search"
    [queryParams]="{}"
    routerLinkActive="active"
    class="form__btn"
    mat-stroked-button
    color="primary"
  >
    Clear
  </a>
  <ng-template #searchBtn>
    <a
      routerLink="/litho-tracker/search"
      [queryParams]="{ wellNumber: searchForm.controls['wellNumber'].value, UWI: searchForm.controls['UWI'].value }"
      routerLinkActive="active"
      class="form__btn"
      mat-flat-button
      color="primary"
      [disabled]="searchForm.invalid"
    >
      Search
    </a>
  </ng-template>
</form>
